slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDProblemType

Determines the type of singular value problem

### Synopsis

    typedef enum { SVD_STANDARD=1,
                   SVD_GENERALIZED,   /* GSVD */
                   SVD_HYPERBOLIC     /* HSVD */
                 } SVDProblemType;

### See Also

SVDSetProblemType(), SVDGetProblemType()

### Level

beginner

### Location

include/slepcsvd.h

### Examples

src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c
src/svd/tutorials/ex48.c
src/svd/tutorials/ex51.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex53.c
src/svd/tutorials/cnetwork/embedgsvd.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages